package com.hz.pm.api.common.enumeration;

import cn.hutool.core.util.StrUtil;
import com.ningdatech.basic.exception.BizException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.Optional;

/**
 * <p>
 * FileOrigin
 * </p>
 *
 * @author WendyYang
 * @since 21:11 2024/11/18
 */
@Getter
@AllArgsConstructor
public enum FileOrigin {

    MH("信产文件", 1),

    OSS("OSS存储文件", 2);

    private final String val;
    private final Integer code;


    public static String getVal(Integer code) {
        return optGet(code).flatMap(t -> Optional.of(t.val)).orElse(StrUtil.EMPTY);
    }

    public static Optional<FileOrigin> optGet(Integer code) {
        return Arrays.stream(values()).filter(item -> item.code.equals(code)).findFirst();
    }

    public static FileOrigin getNoNull(Integer code) {
        return optGet(code).orElseThrow(() -> BizException.wrap("文件来源无效：%s", code));
    }

}
