package com.hz.pm.api.common.statemachine.event;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * TenderStatusChangeEvent
 * </p>
 *
 * @author WendyYang
 * @since 00:14 2024/2/24
 */
@Getter
@AllArgsConstructor
public enum TenderStateChangeEvent implements AbstractStateChangeEvent {

    /**
     * 增加标项
     */
    SUBMIT_PURCHASE_NOTICE(100, null, null),
    /**
     * 增加标项重新提交
     */
    RESUBMIT_PURCHASE_NOTICE(108, null, null),
    /**
     * 增加标项通过
     */
    PURCHASE_NOTICE_PASSED(107, null, null),
    /**
     * 增加标项不通过
     */
    PURCHASE_NOTICE_FAILED(null, 107, null),
    /**
     * 填写采购&合同信息
     */
    SUBMIT_PURCHASE_CONSTRUCTION_INFO(101, null, null),
    /**
     * 填写实施计划
     */
    SUBMIT_OPERATION_PLAN(103, null, null),

    /**
     * 单位确认
     */
    SUBMIT_PURCHASE_ORG_CONFIRM(104, null, null),

    /**
     * 上传初验材料
     */
    SUBMIT_FIRST_INSPECTED_FILES(201, null, null),
    /**
     * 终验申报
     */
    SUBMIT_FINALLY_INSPECTED(401, null, null),
    /**
     * 终验申报重新提交
     */
    RESUBMIT_FINALLY_INSPECTED(502, null, null),
    /**
     * 终验申报通过
     */
    FINALLY_INSPECTED_PASSED(501, null, null),
    /**
     * 终验申报拒绝
     */
    FINALLY_INSPECTED_FAILED(null, 501, null),

    CHANGE_APPLY_SUBMIT(null, null, null),

    CHANGE_APPLY_PASS(null, null, null),

    CHANGE_APPLY_FAILED(null, null, null),

    /**
     * 项目终止申请提交
     */
    STOPPED_APPLY_SUBMIT(null, null, null),

    /**
     * 项目终止申请通过
     */
    STOPPED_APPLY_PASS(null, null, null),

    STOPPED_APPLY_AUTO_PASS(null, null, null),

    /**
     * 项目终止申请拒绝
     */
    STOPPED_APPLY_FAILED(null, null, null);

    private final Integer passStatusCode;
    private final Integer rejectStatusCode;
    private final Integer withdrawStatusCode;

}
