package com.hz.pm.api.common.util;

import cn.hutool.poi.excel.ExcelReader;
import cn.hutool.poi.excel.ExcelUtil;
import com.hz.pm.api.projectlib.entity.ProjectGovSystemReplaceInfos;
import com.hz.pm.api.projectlib.model.enumeration.GovSystemReplaceTypeEnum;
import com.ningdatech.basic.util.CollUtils;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * UpdateProjectSystemReplaceInfoBatchNoUtil
 * </p>
 *
 * @author WendyYang
 * @since 17:08 2024/11/13
 */
public class UpdateProjectSystemReplaceInfoBatchNoUtil {

    private UpdateProjectSystemReplaceInfoBatchNoUtil() {
    }

    public static void main(String[] args) {
        ExcelReader reader = ExcelUtil.getReader("/Users/wendy/Desktop/2024.xls");
        List<ProjectGovSystemReplaceInfos> replaceInfos = reader.readAll(ProjectGovSystemReplaceInfos.class);
        Map<Boolean, List<ProjectGovSystemReplaceInfos>> map = CollUtils.group(replaceInfos, w -> w.getId() == null);
        List<ProjectGovSystemReplaceInfos> oldEntities = map.get(Boolean.FALSE);
        for (ProjectGovSystemReplaceInfos entity : oldEntities) {
            String updateSql = String.format("update ND_PROJECT_GOV_SYSTEM_REPLACE_INFOS set source_system = '%s', target_system = '%s', batch_no = %d, replace_type = '%s' where id = %d;", entity.getSourceSystem(), entity.getTargetSystem(), entity.getBatchNo(),
                    GovSystemReplaceTypeEnum.getByVal(entity.getReplaceType()).get().getCode()
                    , entity.getId());
            System.out.println(updateSql);
        }
        List<ProjectGovSystemReplaceInfos> newEntities = map.get(Boolean.TRUE);
        for (ProjectGovSystemReplaceInfos entity : newEntities) {
            String insertSql = String.format("INSERT INTO ND_PROJECT_GOV_SYSTEM_REPLACE_INFOS (SOURCE_SYSTEM, TARGET_SYSTEM, REPLACE_TYPE, PROJECT_ID, BATCH_NO, CREATE_BY, CREATE_ON, PROJECT_CODE) \n" +
                            "VALUES('%s', '%s', '%d', %d, %d, 150, '2024-08-22 14:27:11.822', '%s');",
                    entity.getSourceSystem(),
                    entity.getTargetSystem(),
                    GovSystemReplaceTypeEnum.getByVal(entity.getReplaceType()).get().getCode(),
                    entity.getProjectId(),
                    entity.getBatchNo(),
                    entity.getProjectCode());
            System.out.println(insertSql);
        }

    }

}
