package com.hz.pm.api.datascope.provider.impl;

import com.hz.pm.api.datascope.model.DataScopeDTO;
import com.hz.pm.api.datascope.provider.DataScopeProvider;
import com.hz.pm.api.user.model.enumeration.RoleEnum;
import com.hz.pm.api.user.security.model.UserInfoDetails;
import com.hz.pm.api.user.util.LoginUserUtil;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Optional;

/**
 * <p>
 * 数据权限 单位管理员
 * </p>
 *
 * @author ZPF
 * @since 2023/3/27 23:29
 */
@Slf4j
@RequiredArgsConstructor
@Component
public class OrgAdminDataScopeProviderImpl implements DataScopeProvider {

    @Override
    public RoleEnum findRole() {
        return RoleEnum.COMPANY_MANAGER;
    }

    @Override
    public Optional<DataScopeDTO> findDataFieldProperty() {
        UserInfoDetails user = LoginUserUtil.userDetail();
        DataScopeDTO ds = new DataScopeDTO();
        ds.setOrgCode(user.getMhUnitIdStr());
        ds.setUserId(user.getUserId());
        ds.setRole(RoleEnum.COMPANY_MANAGER);
        return Optional.of(ds);
    }

    @Override
    public Optional<DataScopeDTO> findDataFieldProperty(Long userId) {
        UserInfoDetails user = LoginUserUtil.userDetail();
        DataScopeDTO ds = new DataScopeDTO();
        ds.setOrgCode(user.getMhUnitIdStr());
        ds.setUserId(userId);
        ds.setRole(RoleEnum.COMPANY_MANAGER);
        return Optional.of(ds);
    }

}
