package com.hz.pm.api.external.todo.enumerization;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * MHTodoTypeEnum
 * </p>
 *
 * @author WendyYang
 * @since 10:09 2024/3/12
 */
@Getter
@AllArgsConstructor
@SuppressWarnings("all")
public enum MHTodoTypeEnum {

    SELF_TEST_APPLY("系统自测", null,
            "您单位的【%s】开工文件备案已通过，可在过程管理-适配改造中进行提交系统自测信息的操作。",
            "【%s】系统自测信息需要您处理，请及时处理",
            "/declareManage/projectManages/adaptiveTransformation",
            20010,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}&activeName=${activeName}"),
    TEST_VALID_APPLY("监理核实验证", null,
            "您单位的【%s】系统自测备案已通过，可在过程管理-适配改造中进行填写监理核实验证信息的操作。",
            "【%s】监理核实验证需要您处理，请及时处理",
            "/declareManage/projectManages/adaptiveTransformation",
            20010,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}&activeName=${activeName}"),
    XCFHX_TEST_APPLY("信创符合性测评", null,
            "您单位的【%s】已完成初验备案，可在过程管理-终验申请中进行信创符合性测评备案的操作。",
            "【%s】信创符合性测评需要您处理，请及时处理",
            "/declareManage/projectManages/finalInspectionDeclare",
            302,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}&activeName=${activeName}"),
    FINAL_INSPECT_APPLY("终验申请", null,
            "您单位的【%s】信创符合性测评备案已通过，可在过程管理-终验申请中进行终验申请的操作。",
            "【%s】终验申请需要您处理，请及时处理",
            "/declareManage/projectManages/finalInspectionDeclare",
            401,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}&activeName=${activeName}"),
    ADAPTION_APPLY("上传开工文件", null,
            "您单位的【%s】已完成实施计划填写，可在过程管理-适配改造中进行上传开工文件的操作。",
            "【%s】上传开工文件需要您处理，请及时处理",
            "/declareManage/projectManages/adaptiveTransformation",
            20010,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}&activeName=${activeName}"),
    PROJECT_REVIEW_APPLY("项目复核", null,
            "您单位的【%s】的专家评审已通过，可在过程管理-项目评审-项目复核中进行提交复核的操作。",
            "【%s】项目复核需要您处理，请及时处理",
            "/declareManage/projectManages/projectRecheck",
            10040,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}&activeName=${activeName}"),
    WITHOUT_BUILD_SCHEME("上传建设方案盖章件", null,
            "您单位的【%s】的合规性审査已通过，可在过程管理-项目评审-专家评审中进行上传建设方案盖章件的操作。",
            "【%s】上传建设方案盖章件需要您处理，请及时处理",
            "/declareManage/projectManages/expertReview",
            10050,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}&activeName=${activeName}"),
    WITHOUT_PURCHASE_NOTICE("发布采购公告", null,
            "您单位的【%s】立项备案已通过，可在过程管理-招标采购中进行发布采购公告的操作。",
            "【%s】发布采购公告需要您处理，请及时处理",
            "/declareManage/projectManages/purchaseResults",
            20001,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}&activeName=${activeName}"),
    WITHOUT_PURCHASE_CONTRACT("采购&合同信息备案", null,
            "您单位的【%s】已完成发布采购公告，可在过程管理-招标采购中进行采购&合同信息备案的操作。",
            "【%s】采购&合同信息备案需要您处理，请及时处理",
            "/declareManage/projectManages/purchaseResults",
            101,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}&activeName=${activeName}"),
    WITHOUT_OPERATION_PLAN("实施计划填写", null,
            "您单位的【%s】已完成采购&合同信息备案，可在过程管理-适配改造中进行填写实施计划的操作。",
            "【%s】实施计划需要您处理，请及时处理",
            "/declareManage/projectManages/adaptiveTransformation",
            null,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}&activeName=${activeName}"),
    WITHOUT_FIRST_ACCEPT_RECORD("初验备案", null,
            "您单位的【%s】已完成适配改造，可在过程管理-初验申请中进行初验备案的操作。",
            "【%s】初验备案需要您处理，请及时处理",
            "/declareManage/projectManages/initialInspectionRecord",
            null,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}&activeName=${activeName}"),
    WITHOUT_ORG_CONFIRM("单位确认", null,
            "您单位的【%s】监理核实验证备案已通过，可在过程管理-适配改造中进行单位确认的操作。",
            "【%s】单位确认需要您处理，请及时处理",
            "/declareManage/projectManages/adaptiveTransformation",
            20010,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}&activeName=${activeName}"),
    DECLARED_RECORD_APPLY("立项备案申请", null,
            "您单位的【%s】已下达资金，可在过程管理-项目立项中进行立项备案的操作。",
            "【%s】立项备案需要您处理，请及时处理",
            "/declareManage/projectManages/projectFiling",
            10022,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}&activeName=${activeName}"),
    /**
     * 流程审批待办
     */

    SELF_TEST_AUDIT("系统自测审批", TEST_VALID_APPLY, null, null, null, null,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}"),
    ADAPTION_AUDIT("开工文件审批", SELF_TEST_APPLY, null, null, null, null,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}"),
    TEST_VALID_AUDIT("监理核实验证审批", WITHOUT_ORG_CONFIRM, null, null, null, null,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}"),
    COMPLIANCE_REVIEW_AUDIT("合规性审查审批", WITHOUT_BUILD_SCHEME, null, null, null, null,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}"),
    PROJECT_REVIEW_AUDIT("项目复核审批", null, null, null, null, null,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}"),
    PROJECT_STOPPED_AUDIT("项目终止审批", null, "您单位的【%s】已通过项目终止审核。", null, null, null,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}"),
    PROJECT_CHANGE_AUDIT("项目变更审批", null, "您单位的【%s】已通过项目变更审核。", null, null, null,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}"),
    FINAL_INSPECT_AUDIT("终验审批", null, "您单位的【%s】已通过终验审核。", null, null, null,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}"),
    PURCHASE_NOTICE_AUDIT("增加标项复核审批", WITHOUT_PURCHASE_CONTRACT, null, null, null, null,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}"),
    XCFHX_INSPECT_AUDIT("信创符合性审查审批", FINAL_INSPECT_APPLY, null, null, null, null,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}&xinchuangId={xinchuangId}"),
    DECLARED_RECORD_AUDIT("立项备案审批", WITHOUT_PURCHASE_NOTICE, null, null, null, null,
            "instanceId=${instanceId}&projectId=${projectId}&nodeId=${nodeId}&taskId=${taskId}&bidId=${bizId}&userId=${userId}&userName=${userName}&path=${path}");

    private final String val;


    private final MHTodoTypeEnum nextStep;

    private final String zwddMsg;

    private final String todoMsg;

    /**
     * 当前环节发页路径
     */
    private final String pagePath;

    private final Integer activeName;

    private final String referLinkParam;

}
