package com.hz.pm.api.meeting.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * ProjectReviewInfoReq
 * </p>
 *
 * @author WendyYang
 * @since 10:50 2024/4/17
 */
@Data
public class ProjectReviewInfoReq {

    @ApiModelProperty("建设必要性")
    private String buildNecessity;

    @ApiModelProperty("需求合理性")
    private String needRationality;

    @ApiModelProperty("技术方案可行性")
    private String techFeasibility;

    @ApiModelProperty("审核结果：1 通过、0 不通过、2 修改方案后重新评审")
    @NotNull(message = "评审结果不能为空")
    private Integer reviewResult;

    @ApiModelProperty("其他意见")
    @Length(max = 2000, message = "专家意见长度不能超过2000")
    private String otherAdvices;

    @ApiModelProperty("投资测算合理性")
    private String investRationality;

    @ApiModelProperty("建议资金（单位：万元）")
    private BigDecimal suggestedFunding;

    @ApiModelProperty("相关材料")
    private String attachFiles;

}
