package com.hz.pm.api.meeting.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * RandomInviteListItemVO
 * </p>
 *
 * @author WendyYang
 * @since 16:48 2023/3/3
 */
@Data
@ApiModel("邀请名单实体")
@EqualsAndHashCode(callSuper = true)
public class InviteExpertListItemVO extends ExpertBasicInfoVO {

    @ApiModelProperty("邀请规则ID")
    private Long ruleId;

    @ApiModelProperty("会议ID")
    private Long meetingId;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("是否是专家组长")
    private Boolean isHeadman;

    @ApiModelProperty("专家会议ID")
    private Long expertMeetingId;

    @ApiModelProperty("电话通知状态")
    private String noticeStatus;

    @ApiModelProperty("邀请状态编码")
    private Integer status;

    @ApiModelProperty("邀请状态")
    private String statusName;

    @ApiModelProperty("抽取类型")
    private Integer inviteType;

    @ApiModelProperty("通知时间")
    private LocalDateTime noticeTime;

    /**
     * 20240511 新增字段
     */
    @ApiModelProperty("专家签到状态")
    private Boolean signStatus;

    @ApiModelProperty("专家签到时间")
    private LocalDateTime signTime;

    @ApiModelProperty("专家签到地点")
    private String signAddress;

    @ApiModelProperty("是否已确认名单")
    private Boolean confirmedRoster;

    @ApiModelProperty("确认名单短信回复内容")
    private String confirmedRosterReplyContent;

}