package com.hz.pm.api.open.controller;

import com.hz.pm.api.open.manage.OpenApiProjectLibManage;
import com.hz.pm.api.open.model.po.MhSyncProjectListPO;
import com.hz.pm.api.open.model.po.TenderListReq;
import com.hz.pm.api.open.model.vo.DeclaredProjectInfoToMhVO;
import com.hz.pm.api.open.model.vo.TenderToMhDetailVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * OpenApiProjectLibController
 * </p>
 *
 * @author WendyYang
 * @since 10:43 2024/11/6
 */
@RestController
@Api(tags = "项目库管理（供信产使用）")
@RequiredArgsConstructor
@RequestMapping("/open/api/projectLib")
public class OpenApiProjectLibController {

    private final OpenApiProjectLibManage openApiProjectLibManage;

    @PostMapping("/listReviewPassProject")
    @ApiOperation("获取所有已经申报的项目")
    public List<DeclaredProjectInfoToMhVO> listDeclaredProjects(@RequestBody @Valid MhSyncProjectListPO po) {
        return openApiProjectLibManage.listDeclaredProjects(po);
    }

    @PostMapping("/listTenders")
    @ApiOperation("获取所有标项系统信息")
    public List<TenderToMhDetailVO> listTenders(@RequestBody @Valid TenderListReq req) {
        return openApiProjectLibManage.listTenders(req);
    }

}
