package com.hz.pm.api.open.model.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;

/**
 * <p>
 * TenderListReq
 * </p>
 *
 * @author WendyYang
 * @since 11:36 2024/12/9
 */
@Data
public class TenderListReq {

    @ApiModelProperty("校验公钥")
    @NotBlank(message = "秘钥不能为空")
    private String key;

    @ApiModelProperty("项目年度")
    private Integer projectYear;

    @ApiModelProperty("项目编码")
    private String projectCode;

    @ApiModelProperty("建设单位编码")
    private Long buildOrgCode;

    @ApiModelProperty("标项更新时间")
    private LocalDateTime bidUpdateOn;

    public boolean hasProjectQuery() {
        return projectYear != null || projectCode != null || buildOrgCode != null;
    }

}
