package com.hz.pm.api.open.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * ReviewPassProjectInfoToMhVO
 * </p>
 *
 * @author WendyYang
 * @since 10:14 2024/11/7
 */
@Data
@Builder
public class DeclaredProjectInfoToMhVO {

    @Tolerate
    public DeclaredProjectInfoToMhVO() {
        // 无参构造
    }

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createOn;

    @ApiModelProperty("项目年份")
    private Integer projectYear;

    @ApiModelProperty("项目编码")
    private String projectCode;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("建设单位编码")
    private String buildOrgCode;

    @ApiModelProperty("建设单位名称")
    private String buildOrgName;

    @ApiModelProperty("申报金额")
    private BigDecimal declareAmount;

    @ApiModelProperty("评审金额")
    private BigDecimal reviewAmount;

    @ApiModelProperty("项目状态")
    private Integer status;

    @ApiModelProperty("项目ID")
    private Long id;

    @ApiModelProperty("项目系统列表")
    private List<ReferSystemReplaceInfoToMhVO> referSystemList;

}
