package com.hz.pm.api.open.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * TenderToMhDetailVO
 * </p>
 *
 * @author WendyYang
 * @since 09:12 2024/12/9
 */
@Data
public class TenderToMhDetailVO {

    @ApiModelProperty(value = "项目编码")
    private String projectCode;

    @ApiModelProperty(value = "标项ID")
    private Long bidId;

    @ApiModelProperty(value = "标项创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty(value = "标项名称")
    private String name;

    @ApiModelProperty(value = "标项联系人")
    private String contactPerson;

    @ApiModelProperty(value = "标项联系人电话")
    private String contact;

    @ApiModelProperty(value = "标项预算（万元）")
    private BigDecimal budgetPrice;

    @ApiModelProperty(value = "采购方式")
    private String buyType;

    @ApiModelProperty(value = "采购主体")
    private String buyMain;

    @ApiModelProperty(value = "标项建设内容")
    private String buildContent;

    @ApiModelProperty(value = "系统ID列表")
    private List<String> systemIdList;

    @ApiModelProperty(value = "招标文件（附件）")
    private String tenderFiles;

    @ApiModelProperty(value = "实施公司")
    private String implCompany;

    @ApiModelProperty(value = "中标通知书（附件）")
    private String bidNotifyFiles;

    @ApiModelProperty("合同签订时间")
    private LocalDateTime conSignTime;

    @ApiModelProperty("合同金额（万元）")
    private BigDecimal conPrice;

    @ApiModelProperty("采购合同文件（附件）")
    private String buyConFiles;

    @ApiModelProperty("实施公司联系人")
    private String implCompanyPeople;

    @ApiModelProperty("联系方式")
    private String implCompanyPhone;

    @ApiModelProperty("采购方案（附件）")
    private String buyPlanFiles;

    @ApiModelProperty("改造开始时间")
    private LocalDateTime refactorTime;

    @ApiModelProperty("初验时间")
    private LocalDateTime initialTime;

    @ApiModelProperty("初验报告（附件")
    private String initialReportFiles;

    @ApiModelProperty("是否完成信创测评")
    private Boolean isFinishXc;

    @ApiModelProperty("信创测评完成时间")
    private LocalDateTime xcCompleteTime;

    @ApiModelProperty("信创测评报告（附件）")
    private String xcReportFiles;

    @ApiModelProperty("终验时间")
    private LocalDateTime finalTime;

    @ApiModelProperty("终验报告（附件）")
    private String finalReportFiles;

    @ApiModelProperty("是否完成等保测评")
    private Boolean isFinishLp;

    @ApiModelProperty("等保测评完成时间")
    private LocalDateTime lpCompleteTime;

    @ApiModelProperty("等保测评报告（附件）")
    private String lpReportFiles;

}
