package com.hz.pm.api.projectdeclared.chain.handler;

import cn.hutool.core.collection.CollUtil;
import com.hz.pm.api.common.statemachine.event.AbstractStateChangeEvent;
import com.hz.pm.api.projectdeclared.chain.request.ProjectStatusRewriteRequest;

import java.util.List;

/**
 * <p>
 * ProjectStatusRewriteHandler
 * </p>
 *
 * @author WendyYang
 * @since 18:42 2024/10/22
 */
public interface ProjectStatusRewriteHandler {

    AbstractStateChangeEvent getEvent();

    default boolean support(ProjectStatusRewriteRequest context) {
        List<Long> buildAddBidIds = context.getBuildAddBidIds();
        long tmpCount = context.getPurchaseStatusChangeMap().entrySet().stream()
                .filter(w -> buildAddBidIds.contains(w.getKey()))
                .filter(w -> CollUtil.anyMatch(w.getValue(), change -> getEvent().eq(change.getEvent())))
                .count();
        return tmpCount == buildAddBidIds.size();
    }

    void handle(ProjectStatusRewriteRequest context);

}
