package com.hz.pm.api.projectdeclared.chain.handler;

import com.hz.pm.api.common.statemachine.event.AbstractStateChangeEvent;
import com.hz.pm.api.common.statemachine.event.TenderStateChangeEvent;
import com.hz.pm.api.projectdeclared.chain.request.ProjectStatusRewriteRequest;

/**
 * <p>
 * SubmitFinallyInspectedHandler
 * </p>
 *
 * @author WendyYang
 * @since 18:43 2024/10/22
 */
public class SubmitFinalInspectedHandler implements ProjectStatusRewriteHandler {

    private final ProjectStatusRewriteHandler nextHandler;

    public SubmitFinalInspectedHandler(ProjectStatusRewriteHandler nextHandler) {
        this.nextHandler = nextHandler;
    }

    @Override
    public AbstractStateChangeEvent getEvent() {
        return TenderStateChangeEvent.SUBMIT_FINALLY_INSPECTED;
    }

    @Override
    public void handle(ProjectStatusRewriteRequest context) {
        if (support(context)) {
            context.getProjectStateMachineUtil().pass(context.getProject());
            if (nextHandler != null) {
                nextHandler.handle(context);
            }
        }
    }

}