package com.hz.pm.api.projectdeclared.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目变更记录
 * </p>
 *
 * @author WendyYang
 * @since 2024-08-06
 */
@Data
@TableName("ND_PROJECT_CHANGE_HISTORY")
@ApiModel(value = "NdProjectChangeHistory对象")
public class ProjectChangeHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    private Long projectId;

    private String instCode;

    private String projectCode;

    private String changeReason;

    private String changeContent;

    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    private Integer status;

    @ApiModelProperty("是否允许重新发起")
    private Boolean canResubmit;

}
