package com.hz.pm.api.projectdeclared.model.req;

import cn.hutool.core.util.StrUtil;
import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * <p>
 * PurchaseAdaptionListReq
 * </p>
 *
 * @author WendyYang
 * @since 14:49 2024/3/27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PurchaseAdaptionListReq extends PagePo {

    @ApiModelProperty("项目年份")
    private Integer projectYear;

    private String bidName;

    @ApiModelProperty("建设单位")
    private String buildOrgName;

    @ApiModelProperty("申报单位所属领域")
    private Integer unitStrip;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("建设单位编码")
    private Long buildOrgCode;

    @ApiModelProperty("标段状态")
    private Integer status;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createOnMin;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createOnMax;

    private Boolean display;

    public boolean hasProjectQuery() {
        return StrUtil.isNotBlank(this.buildOrgName)
                || StrUtil.isNotBlank(this.projectName)
                || this.buildOrgCode != null
                || this.projectYear != null;
    }

}
