package com.hz.pm.api.projectdeclared.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * PurchaseAdaptionListVO
 * </p>
 *
 * @author WendyYang
 * @since 14:43 2024/3/27
 */
@Data
@Builder
public class PurchaseAdaptionListVO {

    @Tolerate
    public PurchaseAdaptionListVO() {
        // 默认构造方法
    }

    @ApiModelProperty("标段ID")
    private Long bidId;

    @ApiModelProperty("标段名称")
    private String bizName;

    @ApiModelProperty("项目年份")
    private Integer projectYear;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("合同金额")
    private BigDecimal contractAmount;

    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("所属领域")
    private String unitStripName;

    @ApiModelProperty("项目状态")
    private Integer projectStatus;

    private Long projectId;

    private String projectCode;

    @ApiModelProperty("建设单位")
    private String buildOrg;

}
