package com.hz.pm.api.projectlib.controller;

import com.hz.pm.api.projectlib.manage.ProjectManageTodoCountManage;
import com.hz.pm.api.projectlib.model.req.ProjectListReq;
import com.hz.pm.api.projectlib.model.vo.ProjectManageTodoCountVO;
import com.hz.pm.api.workbench.model.WorkbenchProjectLibReq;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 过程管理待办统计
 * </p>
 *
 * @author WendyYang
 * @since 12:44 2024/10/31
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/api/v1/projectManage")
public class ProjectManageController {

    private final ProjectManageTodoCountManage projectManageTodoCountManage;

    @GetMapping("/allTodoCount")
    public ProjectManageTodoCountVO allTodoCount(ProjectListReq req) {
        return projectManageTodoCountManage.allTodoCount(req);
    }

}

