package com.hz.pm.api.projectlib.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目资金下达记录
 * </p>
 *
 * @author WendyYang
 * @since 2024-10-09
 */
@Data
@TableName("ND_PROJECT_APPROVAL_AMOUNT")
@ApiModel(value = "NdProjectApprovalAmount对象")
public class ProjectApprovalAmount implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("下达资金")
    private BigDecimal approvalAmount;

    @ApiModelProperty("结转资金")
    private BigDecimal carryOverAmount;

    @ApiModelProperty("年度")
    private Integer approvalYear;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("项目编号")
    private String projectCode;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long createBy;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime createOn;

}
