package com.hz.pm.api.projectlib.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * QxProjectRecordReq
 * </p>
 *
 * @author WendyYang
 * @since 10:45 2024/8/31
 */
@Data
public class QxProjectRecordReq {

    @ApiModelProperty("项目名称")
    @NotBlank(message = "项目名称不能为空")
    private String projectName;

    @ApiModelProperty("项目年份")
    @NotNull(message = "项目年份不能为空")
    private Integer projectYear;

    @ApiModelProperty("建设单位代码")
    @NotNull(message = "建设单位代码不能为空")
    private Long buildOrgCode;

    @ApiModelProperty("建设单位")
    @NotBlank(message = "建设单位不能为空")
    private String buildOrgName;

    @ApiModelProperty("联系人")
    private String contactName;

    @ApiModelProperty("联系方式")
    private String contactPhone;

    @ApiModelProperty("领域")
    private Integer unitStrip;

    @ApiModelProperty("建设方案")
    private String constructionPlanFile;

    @ApiModelProperty("立项批复文件")
    private String approvedFile;

    @ApiModelProperty("源系统ID")
    private List<String> sourceSystemIds;

    @ApiModelProperty("投资总额")
    private BigDecimal totalInvest;

}
