package com.hz.pm.api.projectlib.model.req;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.json.JSONObject;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.hz.pm.api.projectdeclared.model.dto.EditProjectDetailDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * SubmitProjectChangeApplyReq
 * </p>
 *
 * @author WendyYang
 * @since 11:07 2024/8/5
 */
@Data
public class SubmitProjectChangeApplyReq {

    @ApiModelProperty("变更ID")
    private Long id;

    @ApiModelProperty("项目id")
    private Long projectId;

    @ApiModelProperty("变更原因")
    private String changeReason;

    @ApiModelProperty("项目信息")
    private JSONObject projectEditDetail;

    @JsonIgnore
    public EditProjectDetailDTO getProjectDetail() {
        return BeanUtil.toBean(projectEditDetail, EditProjectDetailDTO.class);
    }

}
