package com.hz.pm.api.projectlib.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * DeclaredProjectList
 * </p>
 *
 * @author WendyYang
 * @since 19:07 2024/1/30
 */
@Data
public class DeclaredProjectListVO {

    @ApiModelProperty("项目年份")
    private Integer projectYear;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("申报单位")
    private String declaredUnit;

    @ApiModelProperty("申报单位领域")
    private Integer unitStrip;

    @ApiModelProperty("申报单位领域")
    private String unitStripName;

    @ApiModelProperty("项目申报金额（万元）")
    private BigDecimal declaredAmount;

    @ApiModelProperty("评审金额（万元）")
    private BigDecimal reviewAmount;

    @ApiModelProperty("下达金额（万元）")
    private BigDecimal approvedAmount;

    @ApiModelProperty("项目阶段")
    private Integer stage;

    @ApiModelProperty("项目状态")
    private Integer status;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("项目编码")
    private String projectCode;

    @ApiModelProperty("ID")
    private Long mhProjectId;

    @ApiModelProperty("项目ID")
    private Long projectId;

}
