package com.hz.pm.api.projectlib.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * ProjectChangeListDTO
 * </p>
 *
 * @author WendyYang
 * @since 14:12 2024/8/6
 */
@Data
public class ProjectChangeListVO {

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("项目状态")
    private Integer status;

    @ApiModelProperty("项目阶段")
    private String stage;

    @ApiModelProperty("项目编码")
    private String projectCode;

    @ApiModelProperty("所属领域")
    private Integer unitStrip;

    @ApiModelProperty("所属领域")
    private String unitStripName;

    @ApiModelProperty("建设单位")
    private String buildOrgCode;

    @ApiModelProperty("建设单位")
    private String buildOrgName;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("变更申请时间")
    private String changeApplyTime;

    @ApiModelProperty("变更状态")
    private Integer changeStatus;

    @ApiModelProperty("评审金额")
    private BigDecimal reviewAmount;

    @ApiModelProperty("变更ID")
    private Long changeId;

    @ApiModelProperty("流程实例ID")
    private String instCode;

    @ApiModelProperty("是否可重新提交")
    private Boolean canResubmit;

}
