package com.hz.pm.api.projectlib.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.common.model.constant.BizConst;
import com.hz.pm.api.projectlib.entity.ProjectApprovalAmount;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2024-10-09
 */
public interface IProjectApprovalAmountService extends IService<ProjectApprovalAmount> {

    default ProjectApprovalAmount last(String projectCode) {
        Wrapper<ProjectApprovalAmount> query = Wrappers.lambdaQuery(ProjectApprovalAmount.class)
                .eq(ProjectApprovalAmount::getProjectCode, projectCode)
                .orderByDesc(ProjectApprovalAmount::getApprovalYear)
                .last(BizConst.LIMIT_1);
        return getOne(query);
    }

    default List<ProjectApprovalAmount> listAsc(String projectCode) {
        Wrapper<ProjectApprovalAmount> query = Wrappers.lambdaQuery(ProjectApprovalAmount.class)
                .eq(ProjectApprovalAmount::getProjectCode, projectCode)
                .orderByAsc(ProjectApprovalAmount::getApprovalYear);
        return list(query);
    }

}
