package com.hz.pm.api.projectlib.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.projectlib.entity.ProjectGovSystemReplaceInfos;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2024-02-29
 */
public interface IProjectGovSystemReplaceInfosService extends IService<ProjectGovSystemReplaceInfos> {


    default List<ProjectGovSystemReplaceInfos> listByProjectCode(String projectCode) {
        Wrapper<ProjectGovSystemReplaceInfos> wrapper = Wrappers.lambdaQuery(ProjectGovSystemReplaceInfos.class)
                .eq(ProjectGovSystemReplaceInfos::getProjectCode, projectCode);
        return list(wrapper);
    }

    default List<ProjectGovSystemReplaceInfos> listByProjectCodes(List<String> projectCodes) {
        Wrapper<ProjectGovSystemReplaceInfos> wrapper = Wrappers.lambdaQuery(ProjectGovSystemReplaceInfos.class)
                .in(ProjectGovSystemReplaceInfos::getProjectCode, projectCodes);
        return list(wrapper);
    }

    default List<ProjectGovSystemReplaceInfos> listByBidIds(Collection<Long> bidIds) {
        Wrapper<ProjectGovSystemReplaceInfos> wrapper = Wrappers.lambdaQuery(ProjectGovSystemReplaceInfos.class)
                .in(ProjectGovSystemReplaceInfos::getBidId, bidIds);
        return list(wrapper);
    }

    default List<ProjectGovSystemReplaceInfos> listByBidId(Long bidId) {
        Wrapper<ProjectGovSystemReplaceInfos> wrapper = Wrappers.lambdaQuery(ProjectGovSystemReplaceInfos.class)
                .eq(ProjectGovSystemReplaceInfos::getBidId, bidId);
        return list(wrapper);
    }

    default void removeByProjectIds(Collection<Long> projectIds) {
        LambdaQueryWrapper<ProjectGovSystemReplaceInfos> query = Wrappers
                .lambdaQuery(ProjectGovSystemReplaceInfos.class)
                .in(ProjectGovSystemReplaceInfos::getProjectId, projectIds);
        remove(query);
    }

}
