package com.hz.pm.api.scheduler.listener.event;

import com.hz.pm.api.external.todo.enumerization.MHTodoTypeEnum;
import lombok.Getter;
import lombok.Setter;
import org.springframework.context.ApplicationEvent;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * MhTodoHandedEvent
 * </p>
 *
 * @author WendyYang
 * @since 14:33 2024/10/19
 */
@Getter
@Setter
public class MhTodoHandedEvent extends ApplicationEvent {

    public MhTodoHandedEvent(Object source) {
        super(source);
    }

    public static MhTodoHandedEvent of(MHTodoTypeEnum mhTodoType, Long bizId) {
        return of(mhTodoType, String.valueOf(bizId));
    }

    private static MhTodoHandedEvent of(MHTodoTypeEnum mhTodoType, String bizId) {
        MhTodoHandedEvent event = new MhTodoHandedEvent(LocalDateTime.now());
        event.setMhTodoType(mhTodoType);
        event.setBizId(bizId);
        return event;
    }

    public static MhTodoHandedEvent of(MHTodoTypeEnum mhTodoType, List<String> bizIds) {
        MhTodoHandedEvent event = new MhTodoHandedEvent(LocalDateTime.now());
        event.setMhTodoType(mhTodoType);
        event.setBizIds(bizIds);
        return event;
    }

    private MHTodoTypeEnum mhTodoType;

    private String bizId;

    private List<String> bizIds;

}