package com.hz.pm.api.scheduler.listener.event;

import com.hz.pm.api.external.todo.enumerization.MHTodoTypeEnum;
import com.hz.pm.api.projectdeclared.model.entity.Purchase;
import com.hz.pm.api.projectdeclared.model.entity.Xinchuang;
import com.hz.pm.api.projectlib.model.entity.Project;
import lombok.Getter;
import lombok.Setter;
import org.springframework.context.ApplicationEvent;

import java.time.LocalDateTime;

/**
 * <p>
 * MhTodoSendEvent
 * </p>
 *
 * @author WendyYang
 * @since 14:48 2024/10/19
 */
@Getter
@Setter
public class MhTodoSendEvent extends ApplicationEvent {

    public MhTodoSendEvent(Object source) {
        super(source);
    }


    public static MhTodoSendEvent of(MHTodoTypeEnum mhTodoType, Project project){
        MhTodoSendEvent event = new MhTodoSendEvent(LocalDateTime.now());
        event.setProject(project);
        event.setMhTodoType(mhTodoType);
        return event;
    }

    public static MhTodoSendEvent of(MHTodoTypeEnum mhTodoType, Project project,Purchase purchase){
        MhTodoSendEvent event = of(mhTodoType, project);
        event.setPurchase(purchase);
        return event;
    }

    public static MhTodoSendEvent of(MHTodoTypeEnum mhTodoType, Xinchuang xinchuang) {
        MhTodoSendEvent event = new MhTodoSendEvent(LocalDateTime.now());
        event.setXinchuang(xinchuang);
        event.setMhTodoType(mhTodoType);
        return event;
    }

    private MHTodoTypeEnum mhTodoType;

    private Project project;

    private Purchase purchase;

    private Xinchuang xinchuang;

    private Integer activeName;

}
