package com.hz.pm.api.scheduler.task;

import com.hz.pm.api.projectlib.manage.MhSystemReplaceManage;
import org.springframework.boot.autoconfigure.condition.ConditionalOnExpression;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * <p>
 * MhSystemReplaceSyncTask
 * </p>
 * I
 *
 * @author WendyYang
 * @since 20:53 2024/8/20
 */
@Component
@ConditionalOnExpression("${mh-system-replace-sync.open:true}")
public class MhSystemReplaceSyncTask {

    private final MhSystemReplaceManage mhSystemReplaceManage;

    public MhSystemReplaceSyncTask(MhSystemReplaceManage mhSystemReplaceManage) {
        this.mhSystemReplaceManage = mhSystemReplaceManage;
    }

    @Scheduled(cron = "${mh-system-replace-sync.cron:0 0/20 7-22 * * ?}")
    public void execute() {
        mhSystemReplaceManage.syncMhSystemReplaceInfo();
    }

}
