package com.hz.pm.api.sys.controller;

import com.hz.pm.api.sys.manage.SqlRunnerManage;
import com.hz.pm.api.sys.model.req.SqlRunnerReq;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import javax.validation.Valid;

/**
 * <p>
 * SqlRunnerController
 * </p>
 *
 * @author WendyYang
 * @since 23:04 2024/12/16
 */
@ApiIgnore
@RestController
@RequiredArgsConstructor
@RequestMapping("/api/v1/sqlRunner")
public class SqlRunnerController {

    private final SqlRunnerManage sqlRunnerManage;

    @PostMapping("/execute")
    public Object execute(@Valid @RequestBody SqlRunnerReq req) {
        return sqlRunnerManage.execute(req);
    }

}
