package com.hz.pm.api.sys.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Arrays;
import java.util.Optional;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;

/**
 * <p>
 * 信产待办发送记录
 * </p>
 *
 * @author WendyYang
 * @since 2024-03-12
 */
@Data
@TableName("MH_TODO_RECORD")
@ApiModel(value = "信产待办发送记录")
public class MhTodoRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("待办用户ID（信产）")
    private String toMhUserId;

    private Long userId;

    @ApiModelProperty("待办内容")
    private String content;

    @ApiModelProperty("参数")
    private String paramObj;

    @ApiModelProperty("待办ID")
    private String mhTodoId;

    @ApiModelProperty("待办类型")
    private String type;

    private LocalDateTime createOn;

    @ApiModelProperty("处理状态：1 待处理、2 已处理")
    private Integer status;

    @ApiModelProperty("对应的业务ID")
    private String bizId;


    @Getter
    @AllArgsConstructor
    public enum TodoStatusEnum {

        PENDING(1, "待处理"),
        HANDING(4, "处理中"),
        HANDED(2, "已处理"),
        DELETED(3, "已删除");

        private final Integer code;
        private final String val;

        public static Optional<TodoStatusEnum> get(Integer code) {
            return Arrays.stream(values()).filter(w -> w.getCode().equals(code)).findFirst();
        }

    }

}
