package com.hz.pm.api.todocenter.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.apache.commons.lang3.StringUtils;

import java.util.Objects;

/**
 * 是否增补项目枚举
 *
 * @author CMM
 */
@Getter
@AllArgsConstructor
public enum IsAppendProjectEnum {
    /**
     * 非增补项目
     */
    NOT_APPEND(0, "非增补项目"),

    /**
     * 增补项目
     */
    APPEND(1, "增补项目");


    private final Integer code;
    private final String val;

    public static String getVal(Integer code) {
        if (Objects.isNull(code)) {
            return StringUtils.EMPTY;
        }
        for (IsAppendProjectEnum t : IsAppendProjectEnum.values()) {
            if (code.equals(t.getCode())) {
                return t.val;
            }
        }
        return StringUtils.EMPTY;
    }

    public static IsAppendProjectEnum get(Integer code) {
        if (Objects.isNull(code)) {
            return null;
        }
        for (IsAppendProjectEnum t : IsAppendProjectEnum.values()) {
            if (code.equals(t.getCode())) {
                return t;
            }
        }
        return null;
    }

    public boolean eq(String val) {
        return this.name().equals(val);
    }
    public boolean eq(Integer val) {
        return this.getCode().equals(val);
    }
}
