package com.hz.pm.api.user.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author liuxinxin
 * @since 2023/2/15 上午8:43
 */
@Data
@ApiModel("获取用户详情请求")
public class ResUserDetailVO {

    @ApiModelProperty("userId")
    private Long userId;

    @ApiModelProperty("用户姓名")
    private String realName;

    @ApiModelProperty("手机号")
    private String phoneNo;

    @ApiModelProperty("用户角色信息列表")
    private List<UserRoleVO> userRoleInfoList;

    @ApiModelProperty("浙政钉 用户编码")
    private String employeeCode;

    @ApiModelProperty("所在单位")
    private String mhUnitName;

    @ApiModelProperty("所在单位code")
    private Long mhUnitId;

    @ApiModelProperty("领域编码")
    private Integer unitStrip;

    @ApiModelProperty("用户角色")
    private List<UserRoleVO> userRoleList;

    @ApiModelProperty("状态 启用 ENABLE/禁用 DISABLE")
    private String status;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("头像")
    private String avatar;

    @ApiModelProperty("是否是区县用户")
    private Boolean isCountyUser;

    /**
     * 是否是市属国有企业用户
     */
    private Boolean isCitySoeUser;

    /**
     * 是否是市级单位用户
     */
    private Boolean isCityDistrictUser;

    /**
     * 是否是重点行业用户
     */
    private Boolean isKeyIndustryUser;

    @ApiModelProperty("是否是区县信创办用户")
    private Boolean isCountyXcbUser;

    private String mhUserId;

}
