package com.hz.pm.api.workbench.model;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * WorkbenchProjectLibReq
 * </p>
 *
 * @author WendyYang
 * @since 18:27 2024/4/10
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class WorkbenchProjectLibReq extends PagePo {

    @ApiModelProperty("单位ID")
    private Long unitId;

    @ApiModelProperty("所属领域")
    private Integer unitStrip;

    @ApiModelProperty("项目年度")
    private Integer projectYear;

    @ApiModelProperty("项目阶段")
    private WorkbenchProcessNode processNode;

    @ApiModelProperty("项目阶段是否完成")
    private Boolean processNodeFinished;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("申报单位名称")
    private String buildOrg;

    @ApiModelProperty("评审金额最小值")
    private BigDecimal reviewAmountMin;

    @ApiModelProperty("评审金额最大值")
    private BigDecimal reviewAmountMax;

    @ApiModelProperty("批复金额")
    private BigDecimal approveAmountMin;

    @ApiModelProperty("批复金额")
    private BigDecimal approveAmountMax;

    @ApiModelProperty("项目状态")
    private Integer status;

    @ApiModelProperty("标段状态")
    private Integer bidStatus;

    @ApiModelProperty("改造前系统名称")
    private String sourceSystem;

    @ApiModelProperty("是否计划内系统")
    private Boolean isInMhSystemReplaceInfos;

    @ApiModelProperty("替代类型")
    private Integer replaceType;

}
