package com.hz.pm.api.workbench.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * ProjectTotalViewVO
 * </p>
 *
 * @author WendyYang
 * @since 11:54 2024/3/20
 */
@Data
public class ProjectTotalViewVO {

    @ApiModelProperty("系统类型（替代类型）")
    private List<SystemReplaceStatVO> systemReplaceInfos;

    @ApiModelProperty("替代前系统总数")
    private Integer totalSourceSystemCount;

    @ApiModelProperty("替代后系统总数")
    private Integer totalTargetSystemCount;

    @ApiModelProperty("申报总金额")
    private BigDecimal totalDeclareAmount;

    @ApiModelProperty("评审金额")
    private BigDecimal totalReviewAmount;

    @ApiModelProperty("下达金额")
    private BigDecimal totalApprovalAmount;

    @ApiModelProperty("当前组织下达金额")
    private BigDecimal currOrgApprovalAmount;

    @ApiModelProperty("上级组织下达金额")
    private BigDecimal upperOrgApprovalAmount;

    @ApiModelProperty("合同金额")
    private BigDecimal totalContractAmount;

    @ApiModelProperty("项目总数")
    private Integer totalProjectCount;

    @ApiModelProperty("已终止项目数")
    private Integer stoppedProjectCount;

    @ApiModelProperty("进行中项目数")
    private Integer ongoingProjectCount;

}
